## modplug

modplug

## Properties

gboolean | megabass | Read / Write
gint | megabass-amount | Read / Write
gint | megabass-range | Read / Write
gboolean | noise-reduction | Read / Write
gboolean | oversamp | Read / Write
gboolean | reverb | Read / Write
gint | reverb-delay | Read / Write
gint | reverb-depth | Read / Write
gchar * | songname | Read
gboolean | surround | Read / Write
gint | surround-delay | Read / Write
gint | surround-depth | Read / Write

## Types and Values

| GstModPlug

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstModPlug

## Description

Modplug uses the modplug library to decode tracked music in the MOD/S3M/XM/IT and related formats.

### Example pipeline

    1

    gst-launch-1.0 -v filesrc location=1990s-nostalgia.xm ! modplug ! audioconvert ! alsasink

Play a FastTracker xm file.

## Synopsis

### Element Information

plugin | modplug
author | Jeremy SIMON <jsimon13@yahoo.fr>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-mod
| audio/x-xm
| audio/x-it
| audio/x-s3m
| audio/x-stm

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S32LE, S16LE, U8 }, layout=(string)interleaved, rate=(int){ 8000, 11025, 22050, 44100 }, channels=(int)[ 1, 2 ]

## Functions

## Types and Values

### GstModPlug

    typedef struct _GstModPlug GstModPlug;

## Property Details

### The `“megabass”` property

      “megabass”                 gboolean

Megabass.

Flags: Read / Write

Default value: FALSE

### The `“megabass-amount”` property

      “megabass-amount”          gint

Megabass amount.

Flags: Read / Write

Allowed values: [0,100]

Default value: 40

### The `“megabass-range”` property

      “megabass-range”           gint

Megabass range.

Flags: Read / Write

Allowed values: [0,100]

Default value: 30

### The `“noise-reduction”` property

      “noise-reduction”          gboolean

noise reduction.

Flags: Read / Write

Default value: TRUE

### The `“oversamp”` property

      “oversamp”                 gboolean

oversamp.

Flags: Read / Write

Default value: TRUE

### The `“reverb”` property

      “reverb”                   gboolean

Reverb.

Flags: Read / Write

Default value: FALSE

### The `“reverb-delay”` property

      “reverb-delay”             gint

Reverb delay.

Flags: Read / Write

Allowed values: [0,200]

Default value: 100

### The `“reverb-depth”` property

      “reverb-depth”             gint

Reverb depth.

Flags: Read / Write

Allowed values: [0,100]

Default value: 30

### The `“songname”` property

      “songname”                 gchar *

The song name.

Flags: Read

Default value: NULL

### The `“surround”` property

      “surround”                 gboolean

Surround.

Flags: Read / Write

Default value: TRUE

### The `“surround-delay”` property

      “surround-delay”           gint

Surround delay.

Flags: Read / Write

Allowed values: [0,40]

Default value: 20

### The `“surround-depth”` property

      “surround-depth”           gint

Surround depth.

Flags: Read / Write

Allowed values: [0,100]

Default value: 20